function init(hero) {
    hero.setName("The Rival");
    hero.setTier(7);
    
    hero.setHelmet("Head");
    hero.setChestplate("Chestpiece");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    
    hero.addPowers("smp:code_souls");
    hero.addAttribute("PUNCH_DAMAGE", 10, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.7, 0);
    hero.addAttribute("FALL_RESISTANCE", 1, 1);
    hero.addAttribute("SPRINT_SPEED", 0.3, 1);
    hero.addAttribute("WEAPON_DAMAGE", -0.95, 1);

    hero.addKeyBind("CHARGED_BEAM", "Souls of the Code", 1);

    hero.setKeyBindEnabled(isKeyBindEnabled);
}

function isKeyBindEnabled(entity, keyBind) {
    return entity.getHeldItem().isEmpty();
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}
