function init(hero) {
    hero.setName("Quantumnaut");
    hero.setTier(3);

    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestplate");
    hero.setLeggings("item.superhero_armor.piece.leggings");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.addPrimaryEquipment("fisktag:weapon{WeaponType:smp:quantum_railgun}", true, item => item.nbt().getString("WeaponType") == "smp:quantum_railgun");
    hero.addPrimaryEquipment("fisktag:weapon{WeaponType:smp:quantum_shotgun}", true, item => item.nbt().getString("WeaponType") == "smp:quantum_shotgun");

    hero.addPowers("smp:quantumnaut");
    hero.addAttribute("PUNCH_DAMAGE", 5.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 2.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 0.5, 0);
    hero.addAttribute("FALL_RESISTANCE", 3.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.1, 1);
    hero.addAttribute("MAX_HEALTH", 16, 0);

    hero.addKeyBind("AIM", "key.aim", -1);

    hero.setHasPermission((entity, permission) => permission === "USE_FISKTAG_GUN");
    hero.setHasProperty((entity, property) => property == "BREATHE_SPACE");
    hero.supplyFunction("canAim", entity => {
        var item = entity.getHeldItem();
        return item.nbt().getString("WeaponType") == "smp:quantum_railgun" || item.nbt().getString("WeaponType") == "smp:quantum_shotgun"
    });

    hero.setTickHandler((entity, manager) => {
        if (entity.getData('fiskheroes:disguise') == null) {
            manager.setDataWithNotify(entity, "fiskheroes:disguise", "Quantumnaut");
        }
    });
}